Issue 97814 - gengal should move to SDK
gengal should move to SDK
Status: ACCEPTED
Product: App Dev
Classification: Unclassified
Component: sdk
OOo 3.3 or older
All All
: P3 trivial
: ---
Assigned To: jsc
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 21:22 UTC by rene
Modified: 2013-02-24 20:55 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description rene 2009-01-06 21:22:56 UTC
... as discussed in Issue 89713
Comment 1 jsc 2009-01-08 15:20:52 UTC
i tend to set this issue on won't fix because i think it doesn't make sense.
The feature that everybody wants is to make galleries deployable as extensions.
That is of course already planned, see issue 70412. I think this tool is not
necessary when have this feature and i don't see a reason to include it in the SDK.

I suggest to leave in the base layer until issue 70412 is fixed. When the
feature becomes available you should create an appropriate gallery extension and
bundle it. 
Comment 2 rene 2009-01-08 15:29:44 UTC
> i tend to set this issue on won't fix because i think it doesn't make sense.
> The feature that everybody wants is to make galleries deployable as extensions.

Then you still need to create the .sh/.sgv etc. files, don't you?
And that's what gengal does.

> That is of course already planned, see issue 70412. I think this tool is not
> necessary when have this feature and i don't see a reason to include it in the
> SDK.

And how would you create the files you need to put into the oxt then?
Comment 3 rene 2009-01-08 15:37:19 UTC
.shm files that is.

> And how would you create the files you need to put into the oxt then?

Doing it manually on every new version of openclipart (or whatever else shipping
cliparts) is a) unneeded manual work b) tedious c) error-prone, so gengal was done
to have tool doing this.

*If* Issue 7042 still needs the "old" files, gengal still has to stay even after it.
Comment 4 jsc 2009-01-13 12:54:42 UTC
i don't have really understand what gengal does exactly and maybe you can
summarize it.  
Comment 5 rene 2009-01-13 13:14:04 UTC
jsc: ok...

Basically it's like the following:
 - a OOo gallery item consists of three files (sg??.{sdg,sdv,thm}
 - gengal creates them out of a filelist of images (like you would do manually
   in the OOo UI in the gallery with "New Theme.." (which btw probably means new
   topic/subject, but anyway) - though afair with the (minor) difference
   that gengal lnks to the files and does not embed then.
 - Those files currently are put into the OOo install dir. From Debian lennys
   openclipart-openoffice.org package
(http://packages.debian.org/openclipart-openoffice.org):

$ dpkg -L openclipart-openoffice.org
/.
/usr
/usr/lib
/usr/lib/openoffice
/usr/lib/openoffice/share
/usr/lib/openoffice/share/gallery
/usr/lib/openoffice/share/gallery/sg70.sdg
/usr/lib/openoffice/share/gallery/sg70.sdv
/usr/lib/openoffice/share/gallery/sg70.thm
[...]

If we now look at e.g.
http://extensions.services.openoffice.org/project/oxygenoffice-gallery which is
an extension containing clipart/gallery stuff we
see in gallery/ the exact files a "normal" "New Theme..." in OOo (or gengal)
would create. In fact, I know that OOOP actually does use gengal.

So gengal is still needed for external people to create those files, be it that
those files end up in OOos dir or in an oxt. See it as a external tool for
creating extensions or add-ons. What the SDK is: OpenOffice.org "software
development kit". Those .shm/.sgv/.thm files are also software ;-)
Comment 6 jsc 2009-01-20 09:39:44 UTC
at the moment we will let this tool where it is. Shift target to 3.2
Comment 7 jsc 2009-05-14 09:16:35 UTC
accepted for further investigation
Comment 8 jsc 2009-05-27 08:01:04 UTC
how we move forward with this issue depends on issue 70412. Set target to 3.x
because i don't see that i will do anything here in a 3.2 timeframe. 
Comment 9 rene 2009-05-27 09:24:58 UTC
jsc: I don't see at all what this issue has to do with issue 70412...

issue 70412 is about what files the gallary expects/gengal creates. That is not
relevant in any case where gengal is located (in the "normal" install or in the
SDK).

If you aim to get rid of gengal, this is impossible unless you change the
gallery to an other format and get rid of all those sg*.* files (which need to
be created by gengal, even if they are shipped inside extensions or whatever)
Comment 10 jsc 2009-05-27 09:43:58 UTC
it is no direct relation to 70412 that is correct. But i would like to see this
issue fixed first and then we can decide how we can make it easy for developers
to provide galleries as oxt.

Until that i won't fix this issue and won't integrate it in the SDK. It's fine
as it is until we have a better solution. So please let the target as it is. It
doesn't make sense to set a target where i know for sure that i won't fix it in
this time frame.